import QtQuick 1.1
import QtWebKit 1.0
import com.nokia.meego 1.0

Page {
    id:lastTrainPage

    orientationLock: PageOrientation.LockPortrait

    tools:
        ToolBarLayout {
        visible: true
        ToolIcon { iconId: "toolbar-back"; onClicked: { mainMenu.close(); pageStack.pop(); } }

        ButtonRow {
            platformStyle: TabButtonStyle { }
            TabButton {
                id:lineA
                text:"A"
                checked: true
                onClicked: {
                    scheduleView.url ="lineA.html"
                    lineA.checked = true
                    lineB.checked = false
                    lineC.checked = false
                    lineD.checked = false
                    lineE.checked = false
                    lineH.checked = false
                }
            }

            TabButton {
                id:lineB
                text:"B"
                onClicked: {
                    scheduleView.url ="lineB.html"
                    lineA.checked = false
                    lineB.checked = true
                    lineC.checked = false
                    lineD.checked = false
                    lineE.checked = false
                    lineH.checked = false
                }
            }

            TabButton {
                id:lineC
                text:"C"
                onClicked: {
                    scheduleView.url ="lineC.html"
                    lineA.checked = false
                    lineB.checked = false
                    lineC.checked = true
                    lineD.checked = false
                    lineE.checked = false
                    lineH.checked = false
                }
            }

            TabButton {
                id:lineD
                text:"D"
                onClicked: {
                    scheduleView.url ="lineD.html"
                    lineA.checked = false
                    lineB.checked = false
                    lineC.checked = false
                    lineD.checked = true
                    lineE.checked = false
                    lineH.checked = false
                }
            }

            TabButton {
                id:lineE
                text:"E"
                onClicked: {
                    scheduleView.url ="lineE.html"
                    lineA.checked = false
                    lineB.checked = false
                    lineC.checked = false
                    lineD.checked = false
                    lineE.checked = true
                    lineH.checked = false
                }
            }

            TabButton {
                id:lineH
                text:"H"
                onClicked: {
                    scheduleView.url ="lineH.html"
                    lineA.checked = false
                    lineB.checked = false
                    lineC.checked = false
                    lineD.checked = false
                    lineE.checked = false
                    lineH.checked = true
                }
            }
        }

        ToolIcon {
            iconId: "toolbar-view-menu"
            onClicked: (mainMenu.status == DialogStatus.Closed) ? mainMenu.open() : mainMenu.close()
            anchors.right: parent === undefined ? undefined : parent.right
        }
    }

    Rectangle {
        id:header
        width:parent.width
        height: 72
        z:10
        color:"#247800"
        Item {
            anchors.verticalCenter: parent.verticalCenter
            height: headerName.height + headerSubject.height
            Text {
                id:headerName
                text:"Último Tren"
                color:"#fff"
                anchors.left: parent.left
                anchors.leftMargin: 16
                anchors.top: parent.top
                anchors.topMargin: 0
                font.pixelSize: 32
                font.weight: Font.Normal
                font.family: "Nokia Pure Text"
                lineHeightMode: Text.FixedHeight
                lineHeight: font.pixelSize * 1.1
            }
            Text {
                id:headerSubject
                text:"Seleccione una línea para ver horarios"
                color:"#fff"
                anchors.left: parent.left
                anchors.leftMargin: 16
                anchors.top: headerName.bottom
                anchors.topMargin: 0
                font.pixelSize: 18
                font.weight: Font.Normal
                font.family: "Nokia Pure Text"
                lineHeightMode: Text.FixedHeight
                lineHeight: font.pixelSize * 1.1
            }
        }
    }



    Flickable  {
        id:flickable
        width: parent.width
        height: parent.height - 72
        anchors.bottom: parent.bottom
        anchors.topMargin:0
        contentWidth: Math.max(parent.width,scheduleView.width)
        contentHeight: Math.max(parent.height,scheduleView.height)

        WebView {
            id: scheduleView
            url: "lineA.html"
            preferredWidth: flickable.width
            preferredHeight: flickable.height
            scale: 1
            smooth: true
        }
    }

    ScrollDecorator {
        flickableItem: flickable
    }
}
