import QtQuick 1.1

Item {
    id: root

    property int timeout: 400
    property int fadeout: 200

    signal finished

    function activate() {
        animation.start();
    }

    anchors.fill: parent

    Rectangle {
        id: splash
        color:"#247800"
        anchors.fill: parent

        Rectangle {
            id:container
            color:"#247800"
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.verticalCenter: parent.verticalCenter
            width: parent.width
            height: logo.height + name.height + copyright.height

            Image {
                id:logo
                anchors.horizontalCenter: parent.horizontalCenter
                source:"images/logo.png"

            }
            Text {
                id:name
                text:"SubteGo"
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.top: logo.bottom
                anchors.topMargin: 5
                font.pixelSize: 48
                color:"#fff"
            }

            Text {
                id:copyright
                text:"©2011 realnorth labs"
                anchors.top: name.bottom
                anchors.topMargin: 0
                anchors.horizontalCenter: parent.horizontalCenter
                font.pixelSize: 14
                color:"#fff"
            }
        }
    }

    SequentialAnimation {
        id: animation
        PauseAnimation { duration: root.timeout }
        PropertyAnimation {
            target: container
            properties: "opacity"
            duration: root.fadeout
            to: 0
        }
        PropertyAnimation {
            target: splash
            properties: "opacity"
            duration: root.fadeout
            to: 0
        }

        ScriptAction {
            script: finished();
        }
    }
}
