function DbManager () {
    this.db = null;
    this.initialize();
}

DbManager.prototype.initialize = function() {
    this.getDatabase();
    this.createTables();

    if(this.checkDB()) {
        this.initializeLinesData();
    }
}

DbManager.prototype.getDatabase = function(){
    this.db = openDatabaseSync("Subte155", "1.0", "Subte DB", 1000000);
    return true;
}

DbManager.prototype.checkDB = function() {
    var check = true;
    this.db.transaction(
             function(tx) {
                 var rs = tx.executeSql('SELECT * FROM lines;');
                 if (rs && rs.rows && rs.rows.length > 0) {
                     check =  false
                 } else {
                     check = true
                 }
             });
    return check;
}

// Create Tables

DbManager.prototype.createTables = function () {
    var tableExist = false
    var res = this;
    this.db.transaction(
             function(tx) {
                 tx.executeSql('CREATE TABLE IF NOT EXISTS Lines(id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,letterline TEXT, name TEXT, subject TEXT, timetravel TEXT, notes TEXT, color TEXT, foreground TEXT, frecuency TEXT, frecuencySat TEXT, frecuencySun TEXT )');
                 tx.executeSql('CREATE TABLE IF NOT EXISTS Stations(id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, line_id INTEGER, letterline TEXT, icon TEXT, name TEXT, address TEXT, escalator BOOLEAN, elevator BOOLEAN, atm BOOLEAN, toilet BOOLEAN, notes TEXT, combination1_id INTEGER, combinationMessage1 TEXT, combination2_id INTEGER, combinationMessage2 TEXT, lat TEXT, long TEXT)');
             });
}

// Populate DB

DbManager.prototype.initializeLinesData = function() {
    this.db.transaction(
             function(tx) {
                 var rs = tx.executeSql('SELECT * FROM lines WHERE id=1');
                 if (!(rs.rows.length > 0)) {
                     tx.executeSql('INSERT INTO Lines VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 1,'a.png','Línea A','Plaza de Mayo - San Pedrito','26 min.','','#00a3cd','#ffffff','4.50 min.','7.00 min.','8.00 min.' ]);
                     tx.executeSql('INSERT INTO Lines VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 2,'b.png','Línea B','Leandro N. Alem - J. M. de Rosas','27 min.','','#e91f14','#ffffff','4.45 min.','6.55 min.','8.20 min.' ]);
                     tx.executeSql('INSERT INTO Lines VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 3,'c.png','Línea C','Retiro - Constitución','13 min.','','#005da1','#ffffff','3.45 min.','6.00 min.','7.30 min.' ]);
                     tx.executeSql('INSERT INTO Lines VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 4,'d.png','Línea D','Catedral - Congreso de Tucumán','26 min.','','#008b1c','#ffffff','3.35 min.','7.00 min.','7.00 min.' ]);
                     tx.executeSql('INSERT INTO Lines VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 5,'e.png','Línea E','Bolívar - Plaza de los Virreyes','24 min.','','#6b207f','#ffffff','5.00 min.','8.00 min.','8.00 min.' ]);
                     tx.executeSql('INSERT INTO Lines VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 6,'h.png','Línea H','Corrientes - Hospitales','13 min.','','#eacb00','#555555','6.30 min.','7.00 min.','8.40 min.' ]);
                     tx.executeSql('INSERT INTO Lines VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 7,'p.png','Premetro','Intendente Saguier - General Savio','27 min.','7.30 min.','#e09702','#ffffff','7.30 min.','9.00 min.','9.00 min.' ]);
                   //tx.executeSql('INSERT INTO Lines VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 8,'p.png','Premetro','Int. Saguier - Centro Cívico - Gral. Savio','24 min.','','#e09702','#ffffff','7.30 min.','9.00 min.','9.00 min.' ]);

                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 1,1,'a.png','topA.png','Plaza de Mayo','Hipólito Yrigoyen 300','f','t','f','t','','0','0','0','0','-34.6088','-58.3723' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 2,1,'a.png','combinationADE.png','Perú','Av. de Mayo 500','t','t','f','f','','4','Ir a Línea D','5','Ir a Línea E','-34.6084','-58.3744' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 3,1,'a.png','normalA.png','Piedras','Av. de Mayo 900','t','f','f','f','','0','0','0','0','-34.6087','-58.3790' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 4,1,'a.png','combinationAC.png','Lima','Av. de Mayo 1100','t','f','f','f','','3','Ir a Línea C','0','0','-34.6089','-58.3825' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 5,1,'a.png','normalA.png','Sáenz Peña','Av. de Mayo 1400','t','f','f','f','','0','0','0','0','-34.6092','-58.3869' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 6,1,'a.png','normalA.png','Congreso','Av. de Mayo 1800','t','t','f','f','','0','0','0','0','-34.6090','-58.3926' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 7,1,'a.png','normalRightA.png','Pasco','Av. Rivadavia 2200','f','f','f','f','','0','0','0','0','-34.6094','-58.3985' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 8,1,'a.png','normalLeftA.png','Alberti','Av. Rivadavia 2400','f','f','f','f','','0','0','0','0','-34.6096','-58.4012' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 9,1,'a.png','combinationAH.png','Plaza Miserere','Av. Pueyrredón 2100','f','t','t','t','','6','Ir a Línea H','0','0','-34.6090','-58.4061' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 10,1,'a.png','normalA.png','Loria','Av. Rivadavia 3400','f','t','f','f','','0','0','0','0','-34.6105','-58.4149' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 11,1,'a.png','normalA.png','Castro Barros','Av. Rivadavia 3900','t','f','f','f','','0','0','0','0','-34.6121','-58.4231' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 12,1,'a.png','normalA.png','Río de Janeiro','Av. Rivadavia 4500','f','f','f','f','','0','0','0','0','-34.6150','-58.4297' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 13,1,'a.png','normalA.png','Acoyte','Av. Rivadavia 4900','t','t','f','f',' ','0','0','0','0','-34.6178','-58.4363' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 14,1,'a.png','normalA.png','Primera Junta','Av. Rivadavia 5300','t','f','t','t','','0','0','0','0','-34.6203','-58.4413' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 15,1,'a.png','normalA.png','Puan','Av. Rivadavia 5900','t','t','f','f',' ','0','0','0','0','-34.6232','-58.4486' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 16,1,'a.png','normalA.png','Carabobo','Av. Rivadavia 6300','t','t','f','f','','0','0','0','0','-34.6262','-58.4566' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 99,1,'a.png','normalA.png','San Jose de Flores','Av. Rivadavia 6950','t','t','f','f','','0','0','0','0','-34.628494','-58.463727' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 100,1,'a.png','bottomA.png','San Pedrito','Av. Rivadavia 7400','t','t','f','f','','0','0','0','0','-34.630295','-58.470401' ]);

                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 17,2,'b.png','topB.png','Leandro N. Alem','Av. Corrientes 200','f','f','f','f','','0','0','0','0','-34.6028','-58.3703' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 18,2,'b.png','normalBcenter.png','Florida','Av. Corrientes 500','f','f','f','f','','0','0','0','0','-34.6030','-58.3750' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 19,2,'b.png','combinationBCD.png','Carlos Pellegrini','Carlos Pellegrini 400','f','f','f','f','','3','Ir a Línea C','4','Ir a Línea D','-34.6034','-58.3810' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 20,2,'b.png','normalB.png','Uruguay','Av. Corrientes 1400','f','f','f','f','','0','0','0','0','-34.6038','-58.3867' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 21,2,'b.png','normalB.png','Callao','Av. Corrientes 1800','f','f','f','f','','0','0','0','0','-34.6042','-58.3924' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 22,2,'b.png','normalB.png','Pasteur','Av. Corrientes 2300','f','f','f','f','','0','0','0','0','-34.6044','-58.3997' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 23,2,'b.png','combinationBH.png','Pueyrredón','Av. Corrientes 2700','f','f','f','f','','6','Ir a Línea H','0','0','-34.6043','-58.4056' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 24,2,'b.png','normalB.png','Carlos Gardel','Av. Corrientes 3300','f','f','f','f','','0','0','0','0','-34.6038','-58.4121' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 25,2,'b.png','normalB.png','Medrano','Av. Corrientes 3900','f','f','f','f','','0','0','0','0','-34.6029','-58.4214' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 26,2,'b.png','normalB.png','Angel Gallardo','Av. Corrientes 4600','f','f','f','f','','0','0','0','0','-34.6019','-58.4312' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 27,2,'b.png','normalB.png','Malabia - O. Pugliese','Av. Corrientes 5200','f','f','f','f','','0','0','0','0','-34.5988','-58.4399' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 28,2,'b.png','normalB.png','Dorrego','Av. Corrientes 6000','f','f','f','f','','0','0','0','0','-34.5917','-58.4474' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 29,2,'b.png','normalB.png','Federico Lacroze','Av. Corrientes 6800','f','f','f','f','','0','0','0','0','-34.5868','-58.4552' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 30,2,'b.png','normalBcenter.png','Tronador - Villa Ortúzar','Av. Triunvirato 3000','f','f','f','f','','0','0','0','0','-34.5837','-58.4668' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 31,2,'b.png','normalBcenter.png','Los Incas - Parque Chas','Av. de los Incas 4400','f','f','f','f','','0','0','0','0','-34.5811','-58.4744' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 32,2,'b.png','normalB.png','Echeverria','Av. Triunvirato 4100','f','f','f','f','','0','0','0','0','-34.578533','-58.479485' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 33,2,'b.png','bottomB.png','Juan Manuel de Rosas','Av. Triunvirato 4700','f','f','f','f','','0','0','0','0','-34.578679','-58.479217' ]);

                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 34,3,'c.png','topC.png','Retiro','Av. Dr. José Ramos Mejia 140','f','f','f','f','','0','0','0','0','-34.59144','-58.3745' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 35,3,'c.png','normalC.png','Gral. San Martín','Av. Santa Fé 800','f','f','f','f','','0','0','0','0','-34.5953','-58.3773' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 36,3,'c.png','normalC.png','Lavalle','Esmeralda 500','f','f','f','f','','0','0','0','0','-34.6022','-58.3796' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 37,3,'c.png','combinationCBD.png','Diagonal Norte','Av. Pres. Roque Sáenz Peña 900','f','f','f','f','','2','Ir a Línea B','4','Ir a Línea D','-34.604422','-58.379667' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 38,3,'c.png','combinationCA.png','Avenida de Mayo','Av. de Mayo 900','f','f','f','f','','1','Ir a Línea A','0','0','-34.6088','-58.3808' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 39,3,'c.png','normalC.png','Mariano Moreno','Bernardo de Irigoyen 300','f','f','f','f','','0','0','0','0','-34.6121','-58.3806' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 40,3,'c.png','combinationCE.png','Independencia','Bernardo de Irigoyen 700','f','f','f','f','','5','Ir a Línea E','0','0','-34.6174','-58.3803' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 41,3,'c.png','normalC.png','San Juan','Bernardo de Irigoyen 1100','f','f','f','f','','0','0','0','0','-34.6222','-58.3799' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 42,3,'c.png','bottomC.png','Constitución','Lima 1600','f','f','f','f','','0','0','0','0','-34.6276','-58.3808' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 43,4,'d.png','topD.png','Catedral','Av. Pres. Roque Sáenz Peña 500','f','f','f','f','','1','Ir a Línea A','5','Ir a Línea E','-34.6075','-58.3741' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 44,4,'d.png','combinationDBC.png','9 de Julio','Av. Pres. Roque Sáenz Peña 950','f','f','f','f','','2','Ir a Línea B','3','Ir a Línea C','-34.604333','-58.380500' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 45,4,'d.png','normalDcenter.png','Tribunales','Lavalle 1250','f','f','f','f','','0','0','0','0','-34.6024','-58.3845' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 46,4,'d.png','normalD.png','Callao','Av. Córdoba 1800','f','f','f','f','','0','0','0','0','-34.5994','-58.3916' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 47,4,'d.png','normalD.png','Facultad de Medicina','Av. Córdoba 2100','f','f','f','f','','0','0','0','0','-34.5995','-58.3971' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 48,4,'d.png','normalDcenter.png','Pueyrredón','Av. Santa Fé 2500','f','f','f','f','','0','0','0','0','-34.5942','-58.4025' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 49,4,'d.png','normalD.png','Agüero','Av. Santa Fé 2900','f','f','f','f','','0','0','0','0','-34.5915','-58.40721' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 50,4,'d.png','normalD.png','Bulnes','Av. Santa Fé 3200','f','f','f','f','','0','0','0','0','-34.5879','-58.4116' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 51,4,'d.png','normalD.png','Scalabrini Ortiz','Av. Santa Fé 3700','f','f','f','f','','0','0','0','0','-34.5851','-58.4163' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 52,4,'d.png','normalDcenter.png','Plaza Italia','Av. Santa Fé 4100','f','f','f','f','','0','0','0','0','-34.5821','-58.4201' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 53,4,'d.png','normalDcenter.png','Palermo','Av. Santa Fé 4600','f','f','f','f','','0','0','0','0','-34.5782','-58.4261' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 54,4,'d.png','normalD.png','Ministro Carranza','Av. Santa Fé 5300','f','f','f','f','','0','0','0','0','-34.5754','-58.4342' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 55,4,'d.png','normalD.png','Olleros','Av. Cabildo 700','f','f','f','f','','0','0','0','0','-34.5702','-58.4441' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 56,4,'d.png','normalD.png','José Hernández','Av. Cabildo 1700','f','f','f','f','0','0','0','0','0','-34.5660','-58.4523' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 57,4,'d.png','normalD.png','Juramento','Av. Cabildo 2000','f','f','f','f','','0','0','0','0','-34.5626','-58.4561' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 58,4,'d.png','bottomD.png','Congreso de Tucumán','Av. Cabildo 2800','f','f','f','f','','0','0','0','0','-34.5559','-58.4620' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 59,5,'e.png','topE.png','Bolívar','Av. Presidente Julio A. Roca 500','f','f','f','f','','1','Ir a Línea A','4','Ir a Línea D','-34.6088','-58.3736' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 60,5,'e.png','normalE.png','Belgrano','Av. Belgrano 800','f','f','f','f','','0','0','0','0','-34.6127','-58.3778' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 61,5,'e.png','combinationEC.png','Independencia','Bernardo de Irigoyen 700','f','f','f','f','','3','Ir a Línea C','0','0','-34.617493','-58.381789' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 62,5,'e.png','normalE.png','San José','Av. San Juan 1400','f','f','f','f','','0','0','0','0','-34.6222','-58.3856' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 63,5,'e.png','normalE.png','Entre Ríos','Av. Entre Ríos 1100','f','f','f','f','','0','0','0','0','-34.6225','-58.3916' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 64,5,'e.png','normalE.png','Pichincha','Av. San Juan 2200','f','f','f','f','','0','0','0','0','-34.6229','-58.3973' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 65,5,'e.png','combinationEH.png','Jujuy','Av. San Juan 2700','f','f','f','f','','6','Ir a Línea H','0','0','-34.6236','-58.4026' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 66,5,'e.png','normalE.png','General Urquiza','Av. San Juan 3100','f','f','f','f','','0','0','0','0','-34.6245','-58.4100' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 67,5,'e.png','normalEcenter.png','Boedo','Av. San Juan 3500','f','f','f','f','','0','0','0','0','-34.6252','-58.4163' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 68,5,'e.png','normalEcenter.png','Av. La Plata','Av. Directorio 1','f','f','f','f','','0','0','0','0','-34.6267','-58.4266' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 69,5,'e.png','normalE.png','José M. Moreno','Av. Directorio 400','f','f','f','f','','0','0','0','0','-34.6280','-58.4339' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 70,5,'e.png','normalE.png','Emilio Mitre','Emilio Mitre 700','f','f','f','f','','0','0','0','0','-34.6310','-58.4420' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 71,5,'e.png','normalE.png','Medalla Milagrosa','Pumacahua 900','f','f','f','f','','0','0','0','0','-34.6361','-58.4495' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 72,5,'e.png','normalE.png','Varela','Varela 900','f','f','f','f','','0','0','0','0','-34.6396','-58.4582' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 73,5,'e.png','bottomE.png','Plaza de los Virreyes','Av. Lafuente 2900','f','f','f','f','','7','Ir a Premetro','0','0','-34.6426','-58.4614' ]);

                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 74,6,'h.png','topH.png','Corrientes','Av. Corrientes 2800','f','f','f','f','','2','Ir a Línea B','0','0','-34.6043','-58.4055' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 75,6,'h.png','combinationHA.png','Once','Av. Pueyrredón 1','f','f','f','f','','1','Ir a Línea A','0','0','-34.6081','-58.4062' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 76,6,'h.png','normalH.png','Venezuela','Venezuela 2500','f','f','f','f','','0','0','0','0','-34.6155','-58.4047' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 77,6,'h.png','combinationHE.png','Humberto 1º','Av. Jujuy 1100','f','f','f','f','','5','Ir a Línea E','0','0','-34.6228','-58.4024' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 78,6,'h.png','normalH.png','Inclán','Av. Jujuy 1700','f','f','f','f','','0','0','0','0','-34.6287','-58.4012' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 79,6,'h.png','normalH.png','Caseros','Av. Caseros 2600','f','f','f','f','','0','0','0','0','-34.6349','-58.3992' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 80,6,'h.png','normalH.png','Parque Patricios','Av. Caseros 3000','f','f','f','f','','0','0','0','0','-34.6369','-58.4057' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 81,6,'h.png','bottomH.png','Hospitales','Av. Almafuerte 200','f','f','f','f','','0','0','0','0','-34.640852','-58.412517' ]);

                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 82,7,'p.png','topP.png','Intendente Saguier','Av. Labuente 2900','f','f','f','f','','5','Ir a Línea E','0','0','-34.6432','-58.4611' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 83,7,'p.png','normalP.png','Balbastro','Av. Labuente 1700','f','f','f','f','','0','0','0','0','-34.6491','-58.4556' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 84,7,'p.png','normalP.png','Mariano Acosta','Mariano Acosta 2400','f','f','f','f','','0','0','0','0','-34.6541','-58.4567' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 85,7,'p.png','normalP.png','Somellera','Mariano Acosta 2500','f','f','f','f','','0','0','0','0','-34.6563','-58.4539' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 86,7,'p.png','normalP.png','Ana María Janer','Mariano Acosta 2700','f','f','f','f','','0','0','0','0','-34.6593','-58.4500' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 87,7,'p.png','normalP.png','Ntra. Sra. de Fátima','Mariano Acosta 3000','f','f','f','f','','0','0','0','0','-34.6602','-58.4490' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 88,7,'p.png','normalP.png','Fernández de la Cruz','Av. Gral. Fernández de la Cruz 3400','f','f','f','f','','0','0','0','0','-34.6621','-58.4466' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 89,7,'p.png','normalP.png','Presidente Illia','Veracruz 3400','f','f','f','f','','0','0','0','0','-34.6646','-58.4495' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 90,7,'p.png','normalP.png','Parque de la Ciudad','Av. Gral. Fernández de la Cruz 4100','f','f','f','f','','0','0','0','0','-34.6722','-58.4580' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 91,7,'p.png','normalP.png','Escalada','Av. Gral. Fernández de la Cruz 4400','f','f','f','f','','0','0','0','0','-34.6742','-58.4604' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 92,7,'p.png','normalP.png','Pola','Av. Gral. Fernández de la Cruz 5300','f','f','f','f','','0','0','0','0','-34.6778','-58.4648' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 93,7,'p.png','p2way.png','Ana Díaz','Av. Soldado de la Frontera 4900','f','f','f','f','','0','0','0','0','-34.6803','-58.4670' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 94,7,'p.png','p2way2.png','Centro Cívico Lugano','Av. Soldado de la Frontera 5100','f','f','f','f','','0','0','0','0','-34.6833','-58.4652' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 95,7,'p.png','normalP2.png','Larrazábal','Av. Larrazábal 4500','f','f','f','f','','0','0','0','0','-34.6804','-58.4654' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 96,7,'p.png','normalP2.png','Nicolás Descalzi','Av. Larrazábal 4900','f','f','f','f','','0','0','0','0','-34.6827','-58.4623' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 97,7,'p.png','normalP2.png','Gabino Ezeiza','Av. Larrazábal 5100','f','f','f','f','','0','0','0','0','-34.6858','-58.4583' ]);
                     tx.executeSql('INSERT INTO Stations VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [ 98,7,'p.png','bottomP.png','General Savio','Av. Coronel Roca 5700','f','f','f','f','','0','0','0','0','-34.6894','-58.4608' ]);
                 }
             });
    return true;
}

// Queries

DbManager.prototype.getLineData = function() {
    var res="";

    this.db.transaction(
             function(tx) {
                 var rs = tx.executeSql('SELECT * FROM lines WHERE id = ?;', [line_id]);;
                 if (rs.rows.length > 0) {
                     res = rs;
                 } else {
                     res = "error";
                 }
             })
    return res;
}

DbManager.prototype.getLinesData = function() {
    var res="";

    this.db.transaction(
             function(tx) {
                 var rs = tx.executeSql('SELECT * FROM lines;');
                 if (rs.rows.length > 0) {
                     res = rs;
                 } else {
                     res = "error";
                 }
             })
    return res;
}

DbManager.prototype.getStationData = function(station_id) {
    var res="";

    this.db.transaction(
             function(tx) {
                 //var rs = tx.executeSql('SELECT * FROM stations WHERE id = ?;', [station_id]);

                 var rs = tx.executeSql('SELECT Lines.letterline, Lines.color, Lines.foreground, Stations.name, Stations.address, Stations.combination1_id, Stations.combinationMessage1, Stations.combination2_id, Stations.combinationMessage2, Stations.lat , Stations.long FROM Lines, Stations WHERE Lines.id = Stations.line_id AND Stations.id = ?', [station_id]);

                 if (rs.rows.length > 0) {
                     res = rs;
                 } else {
                     res = "error";
                 }
             })
    return res;
}

DbManager.prototype.getStationsData = function(line_id) {
    var res="";
    this.db.transaction(
             function(tx) {
                 var rs = tx.executeSql('SELECT * FROM stations WHERE line_id = ?;', [line_id]);
                 if (rs.rows.length > 0) {
                     res = rs;
                 } else {
                     res = "error";
                 }
             })
    return res;
}

DbManager.prototype.getClosestStations = function() {
    var res="";
    this.db.transaction(
             function(tx) {
                 var rs = tx.executeSql('SELECT * FROM Stations;');
                 if (rs.rows.length > 0) {
                     res = rs;
                 } else {
                     res = "error";
                 }
             })
    return res;
}
