Qt.include("db.js");

var dbManager;
console.log ("start")
init();


function init() {
    dbManager = new DbManager();
    console.log("new DBManage")
}


// Models

function generateLineModel(model, line_id) {
    var obj = new Object();
    var res = dbManager.getLineData(line_id);
    if (res == "error") {
        return;
    }

    model.clear();

    for(var i = 0; i < res.rows.length; i++) {
        obj.id = res.rows.item(i).id;
        obj.lineLetter = res.rows.item(i).letterline;
        obj.lineName = res.rows.item(i).name;
        obj.lineSubject = res.rows.item(i).subject;
        obj.timeTravel = res.rows.item(i).timetravel;
        obj.notes = res.rows.item(i).notes;
        obj.headerColor = res.rows.item(i).color;
        obj.lineForeground = res.rows.item(i).foreground;
        obj.frecuency = res.rows.item(i).frecuency;
        obj.frecuencySat = res.rows.item(i).frecuencySat;
        obj.frecuencySun = res.rows.item(i).frecuencySun;

        model.insert(i, obj);
        obj = {};
    }

    console.log("Line Model done")
    return;
}

function generateLinesModel(model) {
    var obj = new Object();
    var res = dbManager.getLinesData();
    if (res == "error") {
        return;
    }

    model.clear();

    for(var i = 0; i < res.rows.length; i++) {
        obj.id = res.rows.item(i).id;
        obj.letterLine = res.rows.item(i).letterline;
        obj.name = res.rows.item(i).name;
        obj.subject = res.rows.item(i).subject;
        obj.timeTravel = res.rows.item(i).timetravel;
        obj.notes = res.rows.item(i).notes;
        obj.color = res.rows.item(i).color;
        obj.foreground = res.rows.item(i).foreground;
        obj.frecuency = res.rows.item(i).frecuency;
        obj.frecuencySat = res.rows.item(i).frecuencySat;
        obj.frecuencySun = res.rows.item(i).frecuencySun;

        model.insert(i, obj);
        obj = {};
    }

    console.log("Lines Model done")

    return;
}

function generateStationModel(model, station_id) {
    var obj = new Object();
    var res = dbManager.getStationData(station_id);
    if (res == "error") {
        return;
    }

    model.clear();

    for(var i = 0; i < res.rows.length; i++) {
        obj.color = res.rows.item(i).color;
        obj.foreground = res.rows.item(i).foreground;

        obj.pinColor = res.rows.item(i).letterline;
        obj.name = res.rows.item(i).name;
        obj.address = res.rows.item(i).address;

        obj.combination1_id = res.rows.item(i).combination1_id;
        obj.combinationMessage1 = res.rows.item(i).combinationMessage1;
        obj.combination2_id = res.rows.item(i).combination2_id;
        obj.combinationMessage2 = res.rows.item(i).combinationMessage2;
        obj.mapLat = res.rows.item(i).lat;
        obj.mapLong = res.rows.item(i).long;


        model.insert(i, obj);
        obj = {};
    }

    console.log("Stations Model done")
    return;
}

function generateStationsModel(model, line_id) {
    var obj = new Object();
    var res = dbManager.getStationsData(line_id);
    if (res == "error") {
        return;
    }

    model.clear();

    for(var i = 0; i < res.rows.length; i++) {
        obj.id = res.rows.item(i).id;
        obj.line_id = res.rows.item(i).line_id;
        obj.icon = res.rows.item(i).icon;
        obj.name = res.rows.item(i).name;
        obj.address = res.rows.item(i).address;
        obj.escalator = res.rows.item(i).escalator;
        obj.elevator = res.rows.item(i).elevator;
        obj.atm = res.rows.item(i).atm;
        obj.toilet = res.rows.item(i).toilet;
        obj.notes = res.rows.item(i).notes;
        obj.combination1_id = res.rows.item(i).combination1_id;
        obj.combinationMessage1 = res.rows.item(i).combinationMessage1;
        obj.combination2_id = res.rows.item(i).combination2_id;
        obj.combinationMessage2 = res.rows.item(i).combinationMessage2;
        obj.mapLat = res.rows.item(i).lat;
        obj.mapLong = res.rows.item(i).long;

        model.insert(i, obj);
        obj = {};
    }

    console.log("Stations Model done")
    return;
}

function update_location(lat, lon){
    console.log("Updating location");
    defaultLocation.latitude = lat;
    defaultLocation.longitude = lon;
}

function get_distance(lat2, lon2) {
    var dest = Qt.createQmlObject('import QtQuick 1.1; import QtMobility.location 1.2; Coordinate {latitude:'+lat2+';longitude:'+lon2+'}', window);
    return (defaultLocation.distanceTo(dest)).toFixed(0);
}

function distance_sort(a, b){
    return a.distance - b.distance;
}

function generateClosestStationsModel(model) {
    var obj = new Object();
    var res = dbManager.getClosestStations();

    if (res == "error") {
        return;
    }

    var closest = [];
    model.clear();

    for(var i = 0; i < res.rows.length; i++) {
        var station = res.rows.item(i);
        station.distance = get_distance(station.lat, station.long);
        closest.push(station);
    }

    closest.sort(distance_sort);
    closest.length = 10;

    for (var c in closest){
            model.append(closest[c]);
        }

    console.log("Closest Stations Model done")

    return;
}



function searchLocation(lat, lon){
    console.log("Searching location" + lat + " " + lon);
    resultLocation.latitude = lat;
    resultLocation.longitude = lon;
}


function getDistanceFromDestiny(lat2, lon2) {
    var dest = Qt.createQmlObject('import QtQuick 1.1; import QtMobility.location 1.2; Coordinate {latitude:'+lat2+';longitude:'+lon2+'}', window);
    console.log(resultLocation.distanceTo(dest))
    return (resultLocation.distanceTo(dest)).toFixed(0);
}

function generateClosestStationsByDestinyModel(model) {
    var obj = new Object();
    var res = dbManager.getClosestStations();

    if (res == "error") {
        return;
    }

    var closest = [];

    model.clear();

    for(var i = 0; i < res.rows.length; i++) {
        var station = res.rows.item(i);
        station.distance = getDistanceFromDestiny(station.lat, station.long);
        closest.push(station);
    }

    closest.sort(distance_sort);
    closest.length = 10;

    for (var c in closest){
            model.append(closest[c]);
        }

    console.log("Closest Stations by Destiny Model done")

    return;
}
