import QtQuick 1.1
import com.nokia.meego 1.0
import QtMobility.location 1.2
import "main.js" as MainManager

PageStackWindow {
    id: window
    property int line_id
    property int station_id

    property int comb1_id
    property int comb2_id

    property double mapLat: 0.0
    property double mapLong: 0.0

    function getManager(){
        return MainManager;
    }

    Coordinate {
        id: defaultLocation
        latitude: -34.605952
        longitude: -58.381324
    }

    Coordinate {
        id: resultLocation
    }

    platformStyle: defaultStyle;

    property bool enableSwipe: true

    PageStackWindowStyle { id: defaultStyle }

    initialPage: MainPage { }

    Splash {
        id: splash
        timeout: 1000
        fadeout: 600
        Component.onCompleted: splash.activate();
        onFinished: {
            //toolBar.visible = true;
            splash.destroy();
        }
    }

    QueryDialog {
        id: about
        icon: "images/icon.png"
        titleText: "Acerca de SubteGo"
        message: "SubteGo 1.0.14<br/>"
        + "© Copyright 2011 realnorth.<br/>All rights reserved.<br/>"
        + "<a href=\"http://realnorth.net\">http://realnorth.net</a><br/>"
        + "Información de estado cortesía de <br/>@SubteBA <a href=\"http://twitter.com\">http://twitter.com/SubteBA</a>"
        acceptButtonText: "Cerrar"
    }

    Menu {
        id: mainMenu
        onStatusChanged: {
            if (status === DialogStatus.Closing) {
                screen.allowSwipe = enableSwipe;
            }
        }

        MenuLayout {
            MenuItem {
                text: "Acerca de SubteGo"
                onClicked: {about.open();}
            }
            MenuItem {
                text: "Teléfonos Útiles"
                onClicked: pageStack.push(Qt.resolvedUrl("EmergencyPage.qml"))
            }
            MenuItem {
                text: "Horarios Último Tren"
                onClicked: pageStack.push(Qt.resolvedUrl("LastTrain.qml"))
            }
            MenuItem {
                text: "Mapa de la Red"
                onClicked: pageStack.push(Qt.resolvedUrl("SubteMap.qml"))
            }
            MenuItem {
                text: "Estaciones Cercanas"
                onClicked: pageStack.push(Qt.resolvedUrl("NearStations.qml"))
            }
            MenuItem {
                text: "Buscar Estaciones por Dirección"
                onClicked: pageStack.push(Qt.resolvedUrl("SearchNearStations.qml"))
            }
        }
    }

    ToolBarLayout {
        id: commonTools
        visible: false
        ToolIcon { iconId: "toolbar-back"; onClicked: { mainMenu.close(); pageStack.pop(); } }
        ToolIcon { iconId: "toolbar-view-menu"; onClicked: (mainMenu.status === DialogStatus.Closed) ? mainMenu.open() : mainMenu.close() }
    }
}
